[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Re: minimum perl version
From: |
Jim Meyering |
Subject: |
Re: minimum perl version |
Date: |
Thu, 02 Sep 2010 13:53:54 +0200 |
Eric Blake wrote:
> On 09/01/2010 12:48 PM, Tom G. Christensen wrote:
>>>> +++ update-copyright.test-ex-stderr 2010-08-31 22:20:22.981772600 +0200
>>>> @@ -1,2 +1 @@
>>>> -update-copyright.test-ex.4: warning: FSF copyright statement not found
>>>> -update-copyright.test-ex.5: warning: FSF copyright statement not found
>>>> +./test-update-copyright.sh[95]: update-copyright: not found
>>>
>>> Regex gone wrong somewhere? Maybe due to an older perl bug? What
>>> version of perl are you using?
>>>
>> It picked up the system perl in /usr/sbin which is 5.004_05.
>>
>> Rerunning with nekoware perl (5.8.8) first in the path fixes this.
>
> Sounds like we should be requiring a minimum version of perl in
> build-aux/update-copyright, and teaching test-update-copyright to skip
> if perl is not that new. Jim, my perl is quite weak, would you mind
> taking this one?
Sure. I've just pushed the following.
Can someone confirm that 5.6.0 works, or even
find what precise version is barely new enough?
>From e2c4d9f8d8e1c87f861e6d62bdfe6c6136945c05 Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Thu, 2 Sep 2010 13:51:56 +0200
Subject: [PATCH] test-update-copyright.sh: skip test if Perl is too old
* tests/test-update-copyright.sh: Exit 77 if Perl is too old.
Reported by Tom G. Christensen.
---
ChangeLog | 6 ++++++
tests/test-update-copyright.sh | 4 ++++
2 files changed, 10 insertions(+), 0 deletions(-)
diff --git a/ChangeLog b/ChangeLog
index edb5ab5..239d4b2 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2010-09-02 Jim Meyering <address@hidden>
+
+ test-update-copyright.sh: skip test if Perl is too old
+ * tests/test-update-copyright.sh: Exit 77 if Perl is too old.
+ Reported by Tom G. Christensen.
+
2010-09-02 Bruno Haible <address@hidden>
wctype: Avoid compilation error on IRIX 6.5.30.
diff --git a/tests/test-update-copyright.sh b/tests/test-update-copyright.sh
index 2d1022a..607928d 100755
--- a/tests/test-update-copyright.sh
+++ b/tests/test-update-copyright.sh
@@ -16,6 +16,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+# Skip this test if Perl is too old. FIXME: 5.6.0 is just a guess.
+# We have a report that 5.004_05 is inadequate and that 5.8.8 works.
+perl -e 'require 5.6.0' || exit 77
+
diffout=`diff -u /dev/null /dev/null 2>&1`
if test x"$diffout" = x"" && test $? -eq 0; then
compare() { diff -u "$@"; }
--
1.7.2.2.510.g7180a
- IRIX failures [was: next m4 snapshot], Eric Blake, 2010/09/01
- Re: IRIX failures [was: next m4 snapshot], Tom G. Christensen, 2010/09/01
- test-vc-cvs [was: IRIX failures], Eric Blake, 2010/09/01
- Re: test-vc-cvs [was: IRIX failures], Tom G. Christensen, 2010/09/02
- Re: test-vc-cvs [was: IRIX failures], Eric Blake, 2010/09/02
- Re: test-vc-cvs [was: IRIX failures], Tom G. Christensen, 2010/09/02
- Re: test-vc-cvs [was: IRIX failures], Eric Blake, 2010/09/02
minimum perl version [was: IRIX failures], Eric Blake, 2010/09/01
Re: minimum perl version, Bruno Haible, 2010/09/04
Re: minimum perl version, Jim Meyering, 2010/09/04
Re: minimum perl version, Bruno Haible, 2010/09/04
iswblank failure [was: IRIX failures], Eric Blake, 2010/09/01